Bug 136219 - nscd wont start -- SELinux problem
Summary: nscd wont start -- SELinux problem
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: selinux-policy-targeted   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-18 19:16 UTC by Jack Neely
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 19:43:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jack Neely 2004-10-18 19:16:43 UTC
Description of problem:
The nscd deamon will not start.  'service nscd start' always returns
'Failed.'

/var/log/messages contains the following:

Oct 18 15:19:27 rk-build kernel: audit(1098127167.962:0): avc:  denied
 { search } for  pid=5836 exe=/usr/sbin/nscd name=selinux dev=dm-0
ino=4006603 scontext=root:system_r:nscd_t
tcontext=system_u:object_r:selinux_config_t tclass=dir
Oct 18 15:19:27 rk-build kernel: audit(1098127167.962:0): avc:  denied
 { read } for  pid=5836 exe=/usr/sbin/nscd name=mounts dev=proc
ino=382468112 scontext=root:system_r:nscd_t
tcontext=root:system_r:nscd_t tclass=file
Oct 18 15:19:27 rk-build kernel: audit(1098127167.962:0): avc:  denied
 { read } for  pid=5836 exe=/usr/sbin/nscd name=filesystems dev=proc
ino=-268435451 scontext=root:system_r:nscd_t
tcontext=system_u:object_r:proc_t tclass=file
Oct 18 15:19:27 rk-build nscd: 5836: Failed to determine if kernel
supports SELinux
Oct 18 15:19:27 rk-build nscd: nscd startup failed


Version-Release number of selected component (if applicable):
glibc-2.3.3-53

Comment 1 Jakub Jelinek 2004-10-21 18:19:47 UTC
Please retry with RHEL4 b2 glibc/selinux-policy-targeted/nscd
(or grab the latest ones from rawhide).
They certainly work with SELinux.

Comment 2 Jack Neely 2004-10-21 19:39:21 UTC
I upgraded to 

selinux-policy-targeted-1.17.30-2.6

and

glibc*-2.3.3-70

from the fedora development tree and nscd does work now.

Comment 3 Jakub Jelinek 2004-10-21 19:43:07 UTC
Thanks.  Given that 2.3.3-70 (or 2.3.3-73) and that selinux-policy-targeted
will be included in RHEL4 b2, I'm closing this.


Note You need to log in before you can comment on or make changes to this bug.